# IRdD3DLayer Interface Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
| Clear all data in the Layer.
HRESULT | GetID ([out] RtDWORD *pVal)
| Return Renderer's ID for the Direct3D Layer. This is internal method of D3DView.
HRESULT | SetID ([in] RtDWORD pVal)
| Stores Renderer's ID for the Direct3D Layer. This is internal method of D3DView.
HRESULT | GetScanningRootsCount ([out] RtDWORD *pVal)
HRESULT | GetScanningRoot ([in] RtDWORD dwIndex,[out] BSTR *pVal,[out] DWORD *dwRootType)
HRESULT | AddScanningRoot ([in] BSTR pVal,[in] DWORD dwRootType)
HRESULT | AppendScanningRoots ([in] IRdD3DLayer *pVal)

## Detailed Description

IRdD3DLayer specifies single window layer in D3DView.

## Member Function Documentation

HRESULT IRdD3DLayer::Clear | ( | void |  | ) |

Clear all data in the Layer.

HRESULT IRdD3DLayer::GetID | ( | [out] RtDWORD * | pVal | ) |

Return Renderer's ID for the Direct3D Layer. This is internal method of D3DView.

HRESULT IRdD3DLayer::SetID | ( | [in] RtDWORD | pVal | ) |

Stores Renderer's ID for the Direct3D Layer. This is internal method of D3DView.

HRESULT IRdD3DLayer::GetScanningRootsCount | ( | [out] RtDWORD * | pVal | ) |

Method returns the number of graph roots that the associated render target is required to scan for updates.

Parameters:

  | pVal | is filled with the root count.

HRESULT IRdD3DLayer::GetScanningRoot | ( | [in] RtDWORD | dwIndex,
|  | [out] BSTR * | pVal,
|  | [out] DWORD * | dwRootType |
| ) |  |  |

Method returns the scanning root at specified index.

Root type is combination of following values: D3DSR_VIEWROOT - 1 - This root is a viewroot - only subobjects are processed. D3DRS_OBJECT - 2 - This root is a plain watched object (i.e. camera, light). D3DRS_CAMERA - 4 - This root is a camera object.

Parameters:

  | dwIndex | specifies the index of the root
  | pVal | is filled with the root string
  | dwRootType | is filled with the root type

HRESULT IRdD3DLayer::AddScanningRoot | ( | [in] BSTR | pVal,
|  | [in] DWORD | dwRootType |
| ) |  |  |

Method adds scanning root to the list (if not there already).

Root type is combination of following values: D3DSR_VIEWROOT - 1 - This root is a viewroot - only subobjects are processed. D3DRS_OBJECT - 2 - This root is a plain watched object (i.e. camera, light). D3DRS_CAMERA - 4 - This root is a camera object.

Parameters:

  | pVal | specifies the root string
  | dwRootType | specifies the root type

HRESULT IRdD3DLayer::AppendScanningRoots | ( | [in] IRdD3DLayer * | pVal | ) |

Method adds scanning roots from other layer to current one.

Parameters:

  | pVal | specifies the layer whose roots to add.